org.keycloak.representations.idm

## Class RealmRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.RealmRepresentation

-     public class RealmRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Integer` | `accessCodeLifespan`
    `protected Integer` | `accessCodeLifespanUserAction`
    `protected Integer` | `accessTokenLifespan`
    `protected String` | `accountTheme`
    `protected String` | `adminTheme`
    `protected List<ApplicationRepresentation>` | `applications`
    `protected Map<String,List<ScopeMappingRepresentation>>` | `applicationScopeMappings`
    `protected boolean` | `auditEnabled`
    `protected long` | `auditExpiration`
    `protected List<String>` | `auditListeners`
    `protected Map<String,String>` | `browserSecurityHeaders`
    `protected Boolean` | `bruteForceProtected`
    `protected List<String>` | `defaultRoles`
    `protected String` | `emailTheme`
    `protected Boolean` | `enabled`
    `protected Integer` | `failureFactor`
    `protected String` | `id`
    `protected String` | `loginTheme`
    `protected Integer` | `maxDeltaTimeSeconds`
    `protected Integer` | `maxFailureWaitSeconds`
    `protected Integer` | `minimumQuickLoginWaitSeconds`
    `protected Integer` | `notBefore`
    `protected List<OAuthClientRepresentation>` | `oauthClients`
    `protected Boolean` | `passwordCredentialGrantAllowed`
    `protected String` | `passwordPolicy`
    `protected String` | `privateKey`
    `protected String` | `publicKey`
    `protected Long` | `quickLoginCheckMilliSeconds`
    `protected String` | `realm`
    `protected Boolean` | `realmCacheEnabled`
    `protected Boolean` | `registrationAllowed`
    `protected Boolean` | `rememberMe`
    `protected Set<String>` | `requiredCredentials`
    `protected Boolean` | `resetPasswordAllowed`
    `protected RolesRepresentation` | `roles`
    `protected List<ScopeMappingRepresentation>` | `scopeMappings`
    `protected Map<String,String>` | `smtpServer`
    `protected Boolean` | `social`
    `protected Map<String,String>` | `socialProviders`
    `protected String` | `sslRequired`
    `protected Integer` | `ssoSessionIdleTimeout`
    `protected Integer` | `ssoSessionMaxLifespan`
    `protected Boolean` | `updateProfileOnInitialSocialLogin`
    `protected Boolean` | `userCacheEnabled`
    `protected List<UserFederationProviderRepresentation>` | `userFederationProviders`
    `protected List<UserRepresentation>` | `users`
    `protected Boolean` | `verifyEmail`
    `protected Integer` | `waitIncrementSeconds`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmRepresentation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getAccessCodeLifespan()`
    `Integer` | `getAccessCodeLifespanUserAction()`
    `Integer` | `getAccessTokenLifespan()`
    `String` | `getAccountTheme()`
    `String` | `getAdminTheme()`
    `List<ApplicationRepresentation>` | `getApplications()`
    `Map<String,List<ScopeMappingRepresentation>>` | `getApplicationScopeMappings()`
    `long` | `getAuditExpiration()`
    `List<String>` | `getAuditListeners()`
    `Map<String,String>` | `getBrowserSecurityHeaders()`
    `List<String>` | `getDefaultRoles()`
    `String` | `getEmailTheme()`
    `Integer` | `getFailureFactor()`
    `String` | `getId()`
    `String` | `getLoginTheme()`
    `Integer` | `getMaxDeltaTimeSeconds()`
    `Integer` | `getMaxFailureWaitSeconds()`
    `Integer` | `getMinimumQuickLoginWaitSeconds()`
    `Integer` | `getNotBefore()`
    `List<OAuthClientRepresentation>` | `getOauthClients()`
    `String` | `getPasswordPolicy()`
    `String` | `getPrivateKey()`
    `String` | `getPublicKey()`
    `Long` | `getQuickLoginCheckMilliSeconds()`
    `String` | `getRealm()`
    `Set<String>` | `getRequiredCredentials()`
    `RolesRepresentation` | `getRoles()`
    `List<ScopeMappingRepresentation>` | `getScopeMappings()`
    `Map<String,String>` | `getSmtpServer()`
    `Map<String,String>` | `getSocialProviders()`
    `String` | `getSslRequired()`
    `Integer` | `getSsoSessionIdleTimeout()`
    `Integer` | `getSsoSessionMaxLifespan()`
    `List<UserFederationProviderRepresentation>` | `getUserFederationProviders()`
    `List<UserRepresentation>` | `getUsers()`
    `Integer` | `getWaitIncrementSeconds()`
    `boolean` | `isAuditEnabled()`
    `Boolean` | `isBruteForceProtected()`
    `Boolean` | `isEnabled()`
    `Boolean` | `isPasswordCredentialGrantAllowed()`
    `Boolean` | `isRealmCacheEnabled()`
    `Boolean` | `isRegistrationAllowed()`
    `Boolean` | `isRememberMe()`
    `Boolean` | `isResetPasswordAllowed()`
    `Boolean` | `isSocial()`
    `Boolean` | `isUpdateProfileOnInitialSocialLogin()`
    `Boolean` | `isUserCacheEnabled()`
    `Boolean` | `isVerifyEmail()`
    `ApplicationRepresentation` | `resource(String name)`
    `ScopeMappingRepresentation` | `scopeMapping(String username)`
    `void` | `setAccessCodeLifespan(Integer accessCodeLifespan)`
    `void` | `setAccessCodeLifespanUserAction(Integer accessCodeLifespanUserAction)`
    `void` | `setAccessTokenLifespan(Integer accessTokenLifespan)`
    `void` | `setAccountTheme(String accountTheme)`
    `void` | `setAdminTheme(String adminTheme)`
    `void` | `setApplications(List<ApplicationRepresentation> applications)`
    `void` | `setApplicationScopeMappings(Map<String,List<ScopeMappingRepresentation>> applicationScopeMappings)`
    `void` | `setAuditEnabled(boolean auditEnabled)`
    `void` | `setAuditExpiration(long auditExpiration)`
    `void` | `setAuditListeners(List<String> auditListeners)`
    `void` | `setBrowserSecurityHeaders(Map<String,String> browserSecurityHeaders)`
    `void` | `setBruteForceProtected(Boolean bruteForceProtected)`
    `void` | `setDefaultRoles(List<String> defaultRoles)`
    `void` | `setEmailTheme(String emailTheme)`
    `void` | `setEnabled(Boolean enabled)`
    `void` | `setFailureFactor(Integer failureFactor)`
    `void` | `setId(String id)`
    `void` | `setLoginTheme(String loginTheme)`
    `void` | `setMaxDeltaTimeSeconds(Integer maxDeltaTimeSeconds)`
    `void` | `setMaxFailureWaitSeconds(Integer maxFailureWaitSeconds)`
    `void` | `setMinimumQuickLoginWaitSeconds(Integer minimumQuickLoginWaitSeconds)`
    `void` | `setNotBefore(Integer notBefore)`
    `void` | `setOauthClients(List<OAuthClientRepresentation> oauthClients)`
    `void` | `setPasswordCredentialGrantAllowed(Boolean passwordCredentialGrantAllowed)`
    `void` | `setPasswordPolicy(String passwordPolicy)`
    `void` | `setPrivateKey(String privateKey)`
    `void` | `setPublicKey(String publicKey)`
    `void` | `setQuickLoginCheckMilliSeconds(Long quickLoginCheckMilliSeconds)`
    `void` | `setRealm(String realm)`
    `void` | `setRealmCacheEnabled(Boolean realmCacheEnabled)`
    `void` | `setRegistrationAllowed(Boolean registrationAllowed)`
    `void` | `setRememberMe(Boolean rememberMe)`
    `void` | `setRequiredCredentials(Set<String> requiredCredentials)`
    `void` | `setResetPasswordAllowed(Boolean resetPassword)`
    `void` | `setRoles(RolesRepresentation roles)`
    `void` | `setSmtpServer(Map<String,String> smtpServer)`
    `void` | `setSocial(Boolean social)`
    `void` | `setSocialProviders(Map<String,String> socialProviders)`
    `void` | `setSslRequired(String sslRequired)`
    `void` | `setSsoSessionIdleTimeout(Integer ssoSessionIdleTimeout)`
    `void` | `setSsoSessionMaxLifespan(Integer ssoSessionMaxLifespan)`
    `void` | `setUpdateProfileOnInitialSocialLogin(Boolean updateProfileOnInitialSocialLogin)`
    `void` | `setUserCacheEnabled(Boolean userCacheEnabled)`
    `void` | `setUserFederationProviders(List<UserFederationProviderRepresentation> userFederationProviders)`
    `void` | `setUsers(List<UserRepresentation> users)`
    `void` | `setVerifyEmail(Boolean verifyEmail)`
    `void` | `setWaitIncrementSeconds(Integer waitIncrementSeconds)`
    `UserRepresentation` | `user(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### realm

          protected String realm

    - #### notBefore

          protected Integer notBefore

    - #### accessTokenLifespan

          protected Integer accessTokenLifespan

    - #### ssoSessionIdleTimeout

          protected Integer ssoSessionIdleTimeout

    - #### ssoSessionMaxLifespan

          protected Integer ssoSessionMaxLifespan

    - #### accessCodeLifespan

          protected Integer accessCodeLifespan

    - #### accessCodeLifespanUserAction

          protected Integer accessCodeLifespanUserAction

    - #### enabled

          protected Boolean enabled

    - #### sslRequired

          protected String sslRequired

    - #### passwordCredentialGrantAllowed

          protected Boolean passwordCredentialGrantAllowed

    - #### registrationAllowed

          protected Boolean registrationAllowed

    - #### rememberMe

          protected Boolean rememberMe

    - #### verifyEmail

          protected Boolean verifyEmail

    - #### resetPasswordAllowed

          protected Boolean resetPasswordAllowed

    - #### social

          protected Boolean social

    - #### updateProfileOnInitialSocialLogin

          protected Boolean updateProfileOnInitialSocialLogin

    - #### userCacheEnabled

          protected Boolean userCacheEnabled

    - #### realmCacheEnabled

          protected Boolean realmCacheEnabled

    - #### bruteForceProtected

          protected Boolean bruteForceProtected

    - #### maxFailureWaitSeconds

          protected Integer maxFailureWaitSeconds

    - #### minimumQuickLoginWaitSeconds

          protected Integer minimumQuickLoginWaitSeconds

    - #### waitIncrementSeconds

          protected Integer waitIncrementSeconds

    - #### quickLoginCheckMilliSeconds

          protected Long quickLoginCheckMilliSeconds

    - #### maxDeltaTimeSeconds

          protected Integer maxDeltaTimeSeconds

    - #### failureFactor

          protected Integer failureFactor

    - #### privateKey

          protected String privateKey

    - #### publicKey

          protected String publicKey

    - #### roles

          protected RolesRepresentation roles

    - #### defaultRoles

          protected List<String> defaultRoles

    - #### requiredCredentials

          protected Set<String> requiredCredentials

    - #### passwordPolicy

          protected String passwordPolicy

    - #### users

          protected List<UserRepresentation> users

    - #### scopeMappings

          protected List<ScopeMappingRepresentation> scopeMappings

    - #### applicationScopeMappings

          protected Map<String,List<ScopeMappingRepresentation>> applicationScopeMappings

    - #### applications

          protected List<ApplicationRepresentation> applications

    - #### oauthClients

          protected List<OAuthClientRepresentation> oauthClients

    - #### browserSecurityHeaders

          protected Map<String,String> browserSecurityHeaders

    - #### socialProviders

          protected Map<String,String> socialProviders

    - #### smtpServer

          protected Map<String,String> smtpServer

    - #### userFederationProviders

          protected List<UserFederationProviderRepresentation> userFederationProviders

    - #### loginTheme

          protected String loginTheme

    - #### accountTheme

          protected String accountTheme

    - #### adminTheme

          protected String adminTheme

    - #### emailTheme

          protected String emailTheme

    - #### auditEnabled

          protected boolean auditEnabled

    - #### auditExpiration

          protected long auditExpiration

    - #### auditListeners

          protected List<String> auditListeners

  - ### Constructor Detail

    - #### RealmRepresentation

          public RealmRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getRealm

          public String getRealm()

    - #### setRealm

          public void setRealm(String realm)

    - #### getUsers

          public List<UserRepresentation> getUsers()

    - #### getApplications

          public List<ApplicationRepresentation> getApplications()

    - #### resource

          public ApplicationRepresentation resource(String name)

    - #### setUsers

          public void setUsers(List<UserRepresentation> users)

    - #### user

          public UserRepresentation user(String username)

    - #### setApplications

          public void setApplications(List<ApplicationRepresentation> applications)

    - #### isEnabled

          public Boolean isEnabled()

    - #### setEnabled

          public void setEnabled(Boolean enabled)

    - #### getSslRequired

          public String getSslRequired()

    - #### setSslRequired

          public void setSslRequired(String sslRequired)

    - #### getAccessTokenLifespan

          public Integer getAccessTokenLifespan()

    - #### setAccessTokenLifespan

          public void setAccessTokenLifespan(Integer accessTokenLifespan)

    - #### getSsoSessionIdleTimeout

          public Integer getSsoSessionIdleTimeout()

    - #### setSsoSessionIdleTimeout

          public void setSsoSessionIdleTimeout(Integer ssoSessionIdleTimeout)

    - #### getSsoSessionMaxLifespan

          public Integer getSsoSessionMaxLifespan()

    - #### setSsoSessionMaxLifespan

          public void setSsoSessionMaxLifespan(Integer ssoSessionMaxLifespan)

    - #### getScopeMappings

          public List<ScopeMappingRepresentation> getScopeMappings()

    - #### scopeMapping

          public ScopeMappingRepresentation scopeMapping(String username)

    - #### getRequiredCredentials

          public Set<String> getRequiredCredentials()

    - #### setRequiredCredentials

          public void setRequiredCredentials(Set<String> requiredCredentials)

    - #### getPasswordPolicy

          public String getPasswordPolicy()

    - #### setPasswordPolicy

          public void setPasswordPolicy(String passwordPolicy)

    - #### getAccessCodeLifespan

          public Integer getAccessCodeLifespan()

    - #### setAccessCodeLifespan

          public void setAccessCodeLifespan(Integer accessCodeLifespan)

    - #### getAccessCodeLifespanUserAction

          public Integer getAccessCodeLifespanUserAction()

    - #### setAccessCodeLifespanUserAction

          public void setAccessCodeLifespanUserAction(Integer accessCodeLifespanUserAction)

    - #### getDefaultRoles

          public List<String> getDefaultRoles()

    - #### setDefaultRoles

          public void setDefaultRoles(List<String> defaultRoles)

    - #### getPrivateKey

          public String getPrivateKey()

    - #### setPrivateKey

          public void setPrivateKey(String privateKey)

    - #### getPublicKey

          public String getPublicKey()

    - #### setPublicKey

          public void setPublicKey(String publicKey)

    - #### isPasswordCredentialGrantAllowed

          public Boolean isPasswordCredentialGrantAllowed()

    - #### setPasswordCredentialGrantAllowed

          public void setPasswordCredentialGrantAllowed(Boolean passwordCredentialGrantAllowed)

    - #### isRegistrationAllowed

          public Boolean isRegistrationAllowed()

    - #### setRegistrationAllowed

          public void setRegistrationAllowed(Boolean registrationAllowed)

    - #### isRememberMe

          public Boolean isRememberMe()

    - #### setRememberMe

          public void setRememberMe(Boolean rememberMe)

    - #### isRealmCacheEnabled

          public Boolean isRealmCacheEnabled()

    - #### setRealmCacheEnabled

          public void setRealmCacheEnabled(Boolean realmCacheEnabled)

    - #### isUserCacheEnabled

          public Boolean isUserCacheEnabled()

    - #### setUserCacheEnabled

          public void setUserCacheEnabled(Boolean userCacheEnabled)

    - #### isVerifyEmail

          public Boolean isVerifyEmail()

    - #### setVerifyEmail

          public void setVerifyEmail(Boolean verifyEmail)

    - #### isResetPasswordAllowed

          public Boolean isResetPasswordAllowed()

    - #### setResetPasswordAllowed

          public void setResetPasswordAllowed(Boolean resetPassword)

    - #### isSocial

          public Boolean isSocial()

    - #### setSocial

          public void setSocial(Boolean social)

    - #### isUpdateProfileOnInitialSocialLogin

          public Boolean isUpdateProfileOnInitialSocialLogin()

    - #### setUpdateProfileOnInitialSocialLogin

          public void setUpdateProfileOnInitialSocialLogin(Boolean updateProfileOnInitialSocialLogin)

    - #### getBrowserSecurityHeaders

          public Map<String,String> getBrowserSecurityHeaders()

    - #### setBrowserSecurityHeaders

          public void setBrowserSecurityHeaders(Map<String,String> browserSecurityHeaders)

    - #### getSocialProviders

          public Map<String,String> getSocialProviders()

    - #### setSocialProviders

          public void setSocialProviders(Map<String,String> socialProviders)

    - #### getSmtpServer

          public Map<String,String> getSmtpServer()

    - #### setSmtpServer

          public void setSmtpServer(Map<String,String> smtpServer)

    - #### getOauthClients

          public List<OAuthClientRepresentation> getOauthClients()

    - #### setOauthClients

          public void setOauthClients(List<OAuthClientRepresentation> oauthClients)

    - #### getApplicationScopeMappings

          public Map<String,List<ScopeMappingRepresentation>> getApplicationScopeMappings()

    - #### setApplicationScopeMappings

          public void setApplicationScopeMappings(Map<String,List<ScopeMappingRepresentation>> applicationScopeMappings)

    - #### getRoles

          public RolesRepresentation getRoles()

    - #### setRoles

          public void setRoles(RolesRepresentation roles)

    - #### getLoginTheme

          public String getLoginTheme()

    - #### setLoginTheme

          public void setLoginTheme(String loginTheme)

    - #### getAccountTheme

          public String getAccountTheme()

    - #### setAccountTheme

          public void setAccountTheme(String accountTheme)

    - #### getAdminTheme

          public String getAdminTheme()

    - #### setAdminTheme

          public void setAdminTheme(String adminTheme)

    - #### getEmailTheme

          public String getEmailTheme()

    - #### setEmailTheme

          public void setEmailTheme(String emailTheme)

    - #### getNotBefore

          public Integer getNotBefore()

    - #### setNotBefore

          public void setNotBefore(Integer notBefore)

    - #### isBruteForceProtected

          public Boolean isBruteForceProtected()

    - #### setBruteForceProtected

          public void setBruteForceProtected(Boolean bruteForceProtected)

    - #### getMaxFailureWaitSeconds

          public Integer getMaxFailureWaitSeconds()

    - #### setMaxFailureWaitSeconds

          public void setMaxFailureWaitSeconds(Integer maxFailureWaitSeconds)

    - #### getMinimumQuickLoginWaitSeconds

          public Integer getMinimumQuickLoginWaitSeconds()

    - #### setMinimumQuickLoginWaitSeconds

          public void setMinimumQuickLoginWaitSeconds(Integer minimumQuickLoginWaitSeconds)

    - #### getWaitIncrementSeconds

          public Integer getWaitIncrementSeconds()

    - #### setWaitIncrementSeconds

          public void setWaitIncrementSeconds(Integer waitIncrementSeconds)

    - #### getQuickLoginCheckMilliSeconds

          public Long getQuickLoginCheckMilliSeconds()

    - #### setQuickLoginCheckMilliSeconds

          public void setQuickLoginCheckMilliSeconds(Long quickLoginCheckMilliSeconds)

    - #### getMaxDeltaTimeSeconds

          public Integer getMaxDeltaTimeSeconds()

    - #### setMaxDeltaTimeSeconds

          public void setMaxDeltaTimeSeconds(Integer maxDeltaTimeSeconds)

    - #### getFailureFactor

          public Integer getFailureFactor()

    - #### setFailureFactor

          public void setFailureFactor(Integer failureFactor)

    - #### isAuditEnabled

          public boolean isAuditEnabled()

    - #### setAuditEnabled

          public void setAuditEnabled(boolean auditEnabled)

    - #### getAuditExpiration

          public long getAuditExpiration()

    - #### setAuditExpiration

          public void setAuditExpiration(long auditExpiration)

    - #### getAuditListeners

          public List<String> getAuditListeners()

    - #### setAuditListeners

          public void setAuditListeners(List<String> auditListeners)

    - #### getUserFederationProviders

          public List<UserFederationProviderRepresentation> getUserFederationProviders()

    - #### setUserFederationProviders

          public void setUserFederationProviders(List<UserFederationProviderRepresentation> userFederationProviders)

Copyright © 2014. All Rights Reserved.